View Single Post
Old 14-11-2006   #6
"The New Guy"
Join Date: Nov 2006
Posts: 10
you forgot you need a 1.5 psp or 2.71 se!
-=me=- is offline   Reply With Quote